ChakraHQ APIs
Home
Sign In
Home
Sign In
  1. Call Permissions
  • API Keys
  • Response Format
  • Inbound Events Webhook
  • How to figure out pluginId and whatsappPhoneNumberId
  • API Rate Limits
  • Chara Chat SDK
  • Send Template Messages
    • Send Whatsapp Template Message For Process
    • Send Whatsapp Template Message For A Phone Number
    • Send Template Message (Meta API Format)
  • Send Session Messages
    • WhatsApp Messages API (pass-through)
    • Send WhatsApp session message (pass-through)
  • Message Templates - Create & Manage
    • Create WhatsApp Message Template (pass-through)
    • List WhatsApp Message Templates (pass-through)
    • Update WhatsApp Message Template (pass-through)
  • Media - Upload & Manage
    • Upload Public Media
    • Show Whatsapp Media API
    • Fetch Whatsapp Media API
    • Show Whatsapp Media Attachments API
  • Flows - Create & Manage
    • Set Business Public Key
    • Get Business Public Key
  • Groups - Create & Manage
    • Create Group
    • List Groups
    • Get group info
    • Update Group Settings
    • Delete Group
    • Get Group Invite Link
    • Reset Group Invite Link
    • Get Group Join Requests
    • Approve Group Join Request
    • Reject Group Join Request
    • Remove Group Participants
  • Leads - Create & Manage
    • Create a lead
    • Update Lead By Phone Number
  • Chat & Chat Messages
    • List chats
    • List chat messages for a chat
    • List previous messages for a phone number
  • Campaigns - Manage
    • Add a phone number to a lead campaign
    • Remove phone number from a lead campaign
  • Calling
    • Calling Settings
      • Get phone number calling settings
      • Configure or update calling settings
    • Call Permissions
      • Get call permission state
        GET
    • Calls
      • Manage a call
  • Partner Access
    • Create Connect Token
    • Update WhatsApp plugin configuration
    • Fetch WhatsApp plugin configuration
    • Disconnect WABA Account
  • Platform
    • Process
      • Fetch Process By Id
      • List Processes
      • Create Process
      • Update Process
      • Update Process By Primary Key
      • Delete Process
      • Delete Process By Primary Key Value
      • Bulk Create Process API
      • Bulk Update Process API
    • Task
      • Create Task API
    • User
      • List Users API
      • List Users API (V2)
      • Fetch User API
      • Fetch User API (V2)
      • Update User API
    • Photo
      • Fetch Photo API
      • Upload Photo API
      • Upload Photo API With Id
    • Background Job
      • Fetch Background Job
      • Fetch Background Job Entries API
    • Fetch Config
  • Schemas
    • Whatsapp
      • MappingType
    • WhatsAppSessionPayload
    • WhatsAppCallRecordingOptions
    • WhatsAppCallTranscriptionOptions
    • WhatsAppCallsRequest
    • WhatsAppCallsResponse
    • WhatsAppCallHoursWeeklyEntry
    • WhatsAppCallHoursHolidayEntry
    • WhatsAppCallHours
    • WhatsAppSipServer
    • WhatsAppSipSettings
    • WhatsAppCallingSettings
    • WhatsAppPhoneNumberSettings
    • WhatsAppUpdateSettingsRequest
    • WhatsAppUpdateSettingsResponse
    • WhatsAppCallPermissionActionLimit
    • WhatsAppCallPermissionAction
    • WhatsAppCallPermissionsResponse
    • ChakraErrorResponse
    • MetaErrorResponse
  1. Call Permissions

Get call permission state

Developing
GET
/v1/whatsapp/{whatsappApiVersion}/{whatsappPhoneNumberId}/call_permissions
Returns the call permission state between a business phone number and a WhatsApp user.
Mirrors Meta's GET /{PHONE_NUMBER_ID}/call_permissions endpoint.
Identify the user by user_wa_id (phone number) or recipient (business-scoped user ID).
At least one of these query parameters is required.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200
application/json
Call permission state retrieved successfully.
Bodyapplication/json

🟢200MetaError
🟢200MetaError
🟠400ChakraBadRequest
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/whatsapp///call_permissions?user_wa_id=&recipient=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "messaging_product": "whatsapp",
    "permission": {
        "status": "temporary",
        "expiration_time": 1745343479
    },
    "actions": [
        {
            "action_name": "send_call_permission_request",
            "can_perform_action": true,
            "limits": [
                {
                    "time_period": "PT24H",
                    "max_allowed": 1,
                    "current_usage": 0
                }
            ]
        },
        {
            "action_name": "start_call",
            "can_perform_action": false,
            "limits": [
                {
                    "time_period": "PT24H",
                    "max_allowed": 5,
                    "current_usage": 5,
                    "limit_expiration_time": 1745622600
                }
            ]
        }
    ]
}
Modified at 2026-07-01 11:58:57
Previous
Configure or update calling settings
Next
Manage a call
Built with